## libhmsbeagle 1.0

=== debian/changelog ===
libhmsbeagle (1.0-6) unstable; urgency=low

  * debian/upstream:
     - Make authors BibTeX compliant
     - Add some publication info (volume, number, pages)
  * debian/get-orig-source: Try harder to get reproducible tarballs
  * debian/patches/gcc-4.7.patch: Fix gcc 4.7 build issue
    Closes: #672015

 -- Andreas Tille <tille@debian.org>  Wed, 09 May 2012 15:08:00 +0200

libhmsbeagle (1.0-5) unstable; urgency=low

  [Charles Plessy]
  * debian/upstream
    - renamed from debian/upstream-metadata.yaml
    - fixed title field

  [Andreas Tille]
  * Remove useless remainings which were forgotten to clean up in last
    upload (debian/rules_peter; template comments in
    debian/patches/disable_cpu_sse_plugin.patch
  * debian/copyright:
    - Aaron Darling as Upstream-Contact because he seems to be competent for
      packaging issues
    - run `cme fix dpkg-copyright' to check for DEP5 issues
  * debian/control:
    - Architecture: linux-any because openjdk as is not available for kfreebsd
    - Build-Depends: s/default-jdk/openjdk-6-jdk/
      Closes: #661659
    - Standards-Version: 3.9.3 (no changes needed)
  * debhelper 8 (control+compat)
  * debian/upstream: moved DOI+PMID to References

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2012 10:06:23 +0100

libhmsbeagle (1.0-4) unstable; urgency=low

  * debian/patches/disable_cpu_sse_plugin.patch: Apply patch from Peter
    Green (thanks for your help, Peter) and
    debian/rules: Enable sse for amd64 (only) to profit from plugin library
    Closes: #656755

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2012 13:54:59 +0100

libhmsbeagle (1.0-3) unstable; urgency=low

  * debian/patches/enable_static.patch: Enable building static
    libraries that should be contained in -dev package
  * debian/libhmsbeagle-dev.install: Install static libraries

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2012 17:27:53 +0100

libhmsbeagle (1.0-2) unstable; urgency=low

  * debian/rules: Prevent compiler options -march=native and -msse2
    Closes: #656729

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2012 13:54:38 +0100

libhmsbeagle (1.0-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #656609)
  * debian/get-orig-source: Fetch tagged version instead of trunk
  * debian/watch: Detect new tags
  * debian/control:
    - Add Java library package
    - Added needed Java (Build-)Depends
    - Moved citation information to upstream-metadata.yaml and
      README.Debian
  * debian/rules: Build Java Library
  * debian/copyright: DEP5
  * debian/libhmsbeagle-dev.lintian-overrides: Make less noise about
    broken doxygen manpages
  * debian/upstream-metadata.yaml: Citation information

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2012 22:43:44 +0100

libhmsbeagle (0.1052-2) unstable; urgency=low

  * Initial build for PPA/experimental.  

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 12 Dec 2011 17:52:41 +0000
