=== debian/control ===
Source: libhmsbeagle
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf,
 doxygen, javahelper (>=0.25), openjdk-6-jdk, ant
Standards-Version: 3.9.3
Section: libs
Homepage: http://code.google.com/p/beagle-lib
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libhmsbeagle/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk

Package: libhmsbeagle-dev
Section: libdevel
Architecture: linux-any
Depends: libhmsbeagle1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
 BEAGLE is a high-performance library that can perform the core calculations at
 the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
 can make use of highly-parallel processors such as those in graphics cards
 (GPUs) found in many PCs.
 . 
 The project involves an open API and fast implementations of a library for
 evaluating phylogenetic likelihoods (continuous time Markov processes) of
 biomolecular sequence evolution.
 .
 The aim is to provide high performance evaluation 'services' to a wide range
 of phylogenetic software, both Bayesian samplers and Maximum Likelihood
 optimizers.  This allows these packages to make use of implementations that
 make use of optimized hardware such as graphics processing units.
 .
 This package contains development files needed to build against Beagle library.

Package: libhmsbeagle1
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
 BEAGLE is a high-performance library that can perform the core calculations at
 the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
 can make use of highly-parallel processors such as those in graphics cards
 (GPUs) found in many PCs.
 . 
 The project involves an open API and fast implementations of a library for
 evaluating phylogenetic likelihoods (continuous time Markov processes) of
 biomolecular sequence evolution.
 .
 The aim is to provide high performance evaluation 'services' to a wide range
 of phylogenetic software, both Bayesian samplers and Maximum Likelihood
 optimizers.  This allows these packages to make use of implementations that
 make use of optimized hardware such as graphics processing units.

Package: libhmsbeagle-java
Architecture: linux-any
Section: java
Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${java:Recommends}
Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
 BEAGLE is a high-performance library that can perform the core calculations at
 the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
 can make use of highly-parallel processors such as those in graphics cards
 (GPUs) found in many PCs.
 . 
 The project involves an open API and fast implementations of a library for
 evaluating phylogenetic likelihoods (continuous time Markov processes) of
 biomolecular sequence evolution.
 .
 The aim is to provide high performance evaluation 'services' to a wide range
 of phylogenetic software, both Bayesian samplers and Maximum Likelihood
 optimizers.  This allows these packages to make use of implementations that
 make use of optimized hardware such as graphics processing units.
 .
 This package contains the Java interface.
