=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules of libhmsbeagle

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
use_sse := $(shell if [ `dpkg-architecture -qDEB_BUILD_ARCH` = amd64 ] ; then echo yes ; else echo no ; fi)

%:
	dh $@ --with autoreconf --with javahelper

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --enable-doxygen-man --enable-march-native=no --enable-sse=$(use_sse)

override_dh_auto_build:
	$(MAKE)
	$(MAKE) doxygen-doc
	ant

override_dh_auto_install:
	dh_auto_install
	#Shunt jni .so to jni directory.
	mkdir -p -m755 debian/tmp/usr/lib/jni
	mv debian/tmp/usr/lib/*jni.* debian/tmp/usr/lib/jni

	# will be removed later anyway (see below)
	# sed -i "s/libdir='\/usr\/lib'/libdir='\/usr\/lib\/jni'/" debian/tmp/usr/lib/jni/libhmsbeagle-jni.la

	# Remove unneeded *.la files according to
	# http://lists.debian.org/debian-devel/2009/08/msg00783.html
	# Release goal: Getting rid of unneeded *.la / emptying dependency_libs
	find debian -name "*.la" -delete

override_dh_installman:
	# Fix whatis entry of doxygen generated man pages if possible
	find doc/man/man3 -name "*.3" -exec sed -i "/^.SH NAME/{;N;N;N;s/\(.SH NAME\)[[:space:]]*\([A-Za-z].*-\).*.PP[[:space:]]*\([A-Za-z].*\)/\1\n\2 \3/g;}" \{\} \;
	dh_installman

override_dh_auto_clean:
	$(MAKE) -f Makefile distclean || true
	rm -rf doc .config configure
	rm -rf lib build

# Does not help to fix the lintian issue ... hmmm
#override_dh_shlibdeps:
#	# somehow shlibdeps is not called for jni subdir
#	dh_shlibdeps -- debian/$(pkg)1/usr/lib/jni/* debian/$(pkg)1/usr/lib/lib*

get-orig-source:
	. debian/get-orig-source
