## libhmsbeagle 1.1r1092

=== debian/changelog ===
libhmsbeagle (1.1r1092-1) experimental; urgency=low

  * Package SVN trunk because it is required for beast-mcmc

 -- Andreas Tille <tille@debian.org>  Sun, 16 Dec 2012 21:47:26 +0100

libhmsbeagle (1.1-1) experimental; urgency=low

  * New upstream release
     - debian/patches/disable_cpu_sse_plugin.patch:  Seems upstream
       has solved the problem a bit differently than in this patch
       -> droping it for the moment
  * debian/get-orig-source: use xz compression
  * debhelper 9 (control+compat)
  * debian/libhmsbeagle-dev.lintian-overrides: deleted; no need for overrides
    any more
  * debian/control:
     - Build-Depends: s/openjdk-6-jdk/default-jdk (>= 1:1.6)/
       (Thanks for the patch to James Page <james.page@ubuntu.com>)
       Closes: #684054
     - Pre-Depend: multiarch-support

 -- Andreas Tille <tille@debian.org>  Fri, 14 Dec 2012 19:23:52 +0100
