=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libhmsbeagle
-Priority: extra
+Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf,
- doxygen, javahelper (>=0.25), openjdk-6-jdk, ant
+Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf,
+ doxygen, javahelper (>=0.25), default-jdk (>= 1:1.6), ant,
+ dh-linktree, libjs-jquery
 Standards-Version: 3.9.3
 Section: libs
 Homepage: http://code.google.com/p/beagle-lib
@@ -16,7 +17,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libhmsbeagle1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
+Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
@@ -34,8 +35,8 @@
  This package contains development files needed to build against Beagle library.
 
 Package: libhmsbeagle1
-Section: libs
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
@@ -57,7 +58,7 @@
 Section: java
 Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Recommends: ${java:Recommends}
-Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
+Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
