## libhmsbeagle 2.1

=== debian/changelog ===
libhmsbeagle (2.1-2) unstable; urgency=medium

  * debian/libhmsbeagle-dev.links: Link to non-versioned include files since
    it is used that way in mrbayes (and probably others)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2014 17:00:56 +0100

libhmsbeagle (2.1-1) unstable; urgency=medium

  * New upstream version
    manpages for examples are not built by default
    Closes: #713882
  * debian/control:
     - Standards-Version: 3.9.5
     - Build-Depends: graphviz

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2013 21:45:23 +0100

libhmsbeagle (1.1r1092-2) unstable; urgency=low

  * Upload to unstable because it
    Closes: #720562
  * debian/control:
     - cme fix dpkg-control
     - anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 14:17:18 +0200
