=== debian/control ===
--- 
+++ 
@@ -1,22 +1,30 @@
 Source: libhmsbeagle
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
+           Andreas Tille <tille@debian.org>
+Section: libs
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf,
- doxygen, javahelper (>=0.25), default-jdk (>= 1:1.6), ant,
- dh-linktree, libjs-jquery
-Standards-Version: 3.9.3
-Section: libs
+Build-Depends: debhelper (>= 9),
+               autotools-dev,
+               dh-autoreconf,
+               doxygen,
+               graphviz,
+               javahelper,
+               default-jdk (>= 1:1.6),
+               ant,
+               dh-linktree,
+               libjs-jquery
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libhmsbeagle/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk/
 Homepage: http://code.google.com/p/beagle-lib
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libhmsbeagle/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk
 
 Package: libhmsbeagle-dev
+Architecture: linux-any
 Section: libdevel
-Architecture: linux-any
-Depends: libhmsbeagle1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libhmsbeagle1 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -36,8 +44,9 @@
 
 Package: libhmsbeagle1
 Architecture: linux-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -56,7 +65,9 @@
 Package: libhmsbeagle-java
 Architecture: linux-any
 Section: java
-Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${java:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: ${java:Recommends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
@@ -74,3 +85,4 @@
  make use of optimized hardware such as graphics processing units.
  .
  This package contains the Java interface.
+
