=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
  http://beagle-lib.googlecode.com/svn/tags/ beagle_release_([_.\d]+)/ \
   debian debian/get-orig-source
