## libhmsbeagle 2.1.2

=== debian/changelog ===
libhmsbeagle (2.1.2-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 01 Oct 2014 11:36:11 +0200
