=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                ant,
                dh-linktree,
                libjs-jquery
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libhmsbeagle/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk/
 Homepage: http://code.google.com/p/beagle-lib
@@ -85,4 +85,3 @@
  make use of optimized hardware such as graphics processing units.
  .
  This package contains the Java interface.
-
