## libhmsbeagle 2.1.2%2B20171110

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                doxygen,
                graphviz,
                javahelper,
                default-jdk (>= 1:1.6),
                ant,
                dh-linktree,
-               libjs-jquery
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libhmsbeagle/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk/
-Homepage: http://code.google.com/p/beagle-lib
+               libjs-jquery,
+               ocl-icd-opencl-dev | opencl-dev,
+               pocl-opencl-icd [amd64] | opencl-icd [amd64],
+               clinfo
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libhmsbeagle.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libhmsbeagle.git
+Homepage: https://github.com/beagle-dev/beagle-lib
 
 Package: libhmsbeagle-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libhmsbeagle1 (= ${binary:Version}),
+Depends: libhmsbeagle1v5 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
@@ -30,7 +31,7 @@
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
  (GPUs) found in many PCs.
- . 
+ .
  The project involves an open API and fast implementations of a library for
  evaluating phylogenetic likelihoods (continuous time Markov processes) of
  biomolecular sequence evolution.
@@ -42,17 +43,20 @@
  .
  This package contains development files needed to build against Beagle library.
 
-Package: libhmsbeagle1
-Architecture: linux-any
+Package: libhmsbeagle1v5
+Architecture: amd64 i386 arm64 armhf
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         beignet-opencl-icd|mesa-opencl-icd|opencl-icd
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libhmsbeagle1
+Replaces: libhmsbeagle1
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
  (GPUs) found in many PCs.
- . 
+ .
  The project involves an open API and fast implementations of a library for
  evaluating phylogenetic likelihoods (continuous time Markov processes) of
  biomolecular sequence evolution.
@@ -67,14 +71,15 @@
 Section: java
 Depends: ${java:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libhmsbeagle1v5
 Recommends: ${java:Recommends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
  (GPUs) found in many PCs.
- . 
+ .
  The project involves an open API and fast implementations of a library for
  evaluating phylogenetic likelihoods (continuous time Markov processes) of
  biomolecular sequence evolution.
