## libhmsbeagle 2.1.2+20150609

=== debian/changelog ===
libhmsbeagle (2.1.2+20150609-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to Jessie

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jul 2015 20:06:50 +0200

libhmsbeagle (2.1.2+20150609-1) unstable; urgency=medium

  * New Git checkout featuring functionality used in beast-mcmc release
  * Moved from SVN to Git
  * Updated debian/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jul 2015 20:35:03 +0200
