=== debian/control ===
--- 
+++ 
@@ -4,26 +4,25 @@
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 9),
+               autotools-dev,
+               dh-autoreconf,
                doxygen,
                graphviz,
                javahelper,
                default-jdk (>= 1:1.6),
                ant,
                dh-linktree,
-               libjs-jquery,
-               ocl-icd-opencl-dev | opencl-dev,
-               pocl-opencl-icd [amd64] | opencl-icd [amd64],
-               clinfo
-Standards-Version: 4.1.3
+               libjs-jquery
+Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libhmsbeagle.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libhmsbeagle.git
-Homepage: https://github.com/beagle-dev/beagle-lib
+Vcs-Git: git://anonscm.debian.org/debian-med/libhmsbeagle.git
+Homepage: http://code.google.com/p/beagle-lib
 
 Package: libhmsbeagle-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libhmsbeagle1v5 (= ${binary:Version}),
+Depends: libhmsbeagle1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
@@ -43,14 +42,11 @@
  .
  This package contains development files needed to build against Beagle library.
 
-Package: libhmsbeagle1v5
-Architecture: amd64 i386 arm64 armhf
+Package: libhmsbeagle1
+Architecture: linux-any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         beignet-opencl-icd|mesa-opencl-icd|opencl-icd
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libhmsbeagle1
-Replaces: libhmsbeagle1
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -71,8 +67,7 @@
 Section: java
 Depends: ${java:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
-         libhmsbeagle1v5
+         ${shlibs:Depends}
 Recommends: ${java:Recommends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
