=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 override_dh_installdocs:
 	dh_installdocs
 	find debian/$(pkg)-dev -name jquery.js -delete
+	find debian/$(pkg)-dev -name "*.md5" -delete
 
 get-orig-source:
 	. debian/get-orig-source
