## libhmsbeagle 2.1.2+20160831

=== debian/changelog ===
libhmsbeagle (2.1.2+20160831-5) unstable; urgency=medium

  * Restrict Architecture to those where beignet-opencl-icd|mesa-opencl-icd
    is available (mesa-opencl-icd exists for 4 architectures)
    Closes: #842639

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2016 15:12:30 +0100

libhmsbeagle (2.1.2+20160831-4) unstable; urgency=medium

  * Build-Depends: pocl-opencl-icd [amd64]

 -- Andreas Tille <tille@debian.org>  Mon, 17 Oct 2016 06:51:10 +0200

libhmsbeagle (2.1.2+20160831-3) unstable; urgency=medium

  * Build-Depends: libpoclu-dev [amd64]

 -- Andreas Tille <tille@debian.org>  Sun, 16 Oct 2016 20:00:42 +0200

libhmsbeagle (2.1.2+20160831-2) unstable; urgency=medium

  * Skip tests on other architectures than amd64.
    Closes: #840725

 -- Andreas Tille <tille@debian.org>  Sun, 16 Oct 2016 15:08:44 +0200

libhmsbeagle (2.1.2+20160831-1) unstable; urgency=medium

  * New upstream commit
  * d/watch pointing to Github
  * ocl-icd-opencl-dev now provided by khronos-opencl-clhpp
    Closes: #840725
  * Fixed symlink
    Closes: #827120

 -- Andreas Tille <tille@debian.org>  Sat, 15 Oct 2016 13:15:32 +0200

libhmsbeagle (2.1.2+20160525-1) unstable; urgency=medium

  * New git commit from upstream repository
  * Fix version detection in debian/get-orig-source
  * cme fix dpkg-control
  * Provide valid HOME dir before starting test suite
    Closes: #831235
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 16:49:10 +0200

libhmsbeagle (2.1.2+20151220-1) unstable; urgency=medium

  * New upstream Git checkout
  * debian/get-orig-source: Set date stamped version automatically
  * Build using OpenCL
  * Update URLs from GoogleCode to GitHub
  * Add missing libhmsbeagle1v5 dependency to -java package
  * Delete outdated information from debian/upstream/metadata
  * Add doc-base file

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jan 2016 08:56:11 +0100

libhmsbeagle (2.1.2+20150609-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition. (Closes: #791128)

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Aug 2015 11:44:16 +0200
