=== debian/control ===
--- 
+++ 
@@ -13,16 +13,20 @@
                default-jdk (>= 1:1.6),
                ant,
                dh-linktree,
-               libjs-jquery
-Standards-Version: 3.9.6
+               libjs-jquery,
+               libpoclu-dev [amd64],
+               ocl-icd-opencl-dev | opencl-dev,
+               pocl-opencl-icd [amd64] | opencl-icd [amd64],
+               clinfo
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libhmsbeagle.git
-Vcs-Git: git://anonscm.debian.org/debian-med/libhmsbeagle.git
-Homepage: http://code.google.com/p/beagle-lib
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libhmsbeagle.git
+Homepage: https://github.com/beagle-dev/beagle-lib
 
 Package: libhmsbeagle-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libhmsbeagle1 (= ${binary:Version}),
+Depends: libhmsbeagle1v5 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
@@ -42,11 +46,14 @@
  .
  This package contains development files needed to build against Beagle library.
 
-Package: libhmsbeagle1
-Architecture: linux-any
+Package: libhmsbeagle1v5
+Architecture: amd64 i386 arm64 armhf
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         beignet-opencl-icd|mesa-opencl-icd|opencl-icd
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libhmsbeagle1
+Replaces: libhmsbeagle1
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -67,7 +74,8 @@
 Section: java
 Depends: ${java:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libhmsbeagle1v5
 Recommends: ${java:Recommends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
