## libhmsbeagle 2.1.2+20171110

=== debian/changelog ===
libhmsbeagle (2.1.2+20171110-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Standards-Version: 4.1.3 (no changes needed)
  * Drop Build-Depends: libpoclu-dev
    Closes: #891172
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2018 09:08:56 +0100
