=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,17 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
-lib := $(pkg)1v5
+include /usr/share/dpkg/default.mk
+
+lib := $(DEB_SOURCE)1v5
 use_sse := $(shell if [ `dpkg-architecture -qDEB_BUILD_ARCH` = amd64 ] ; then echo yes ; else echo no ; fi)
 BUILDGNUTYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
-	dh $@ --with autoreconf --with javahelper
+	dh $@ --with javahelper
 
 override_dh_auto_configure:
 	./autogen.sh
@@ -27,7 +28,7 @@
 
 override_dh_install:
 	dh_install
-	jniso=`find debian/$(lib) -name $(pkg)-jni.so` ; \
+	jniso=`find debian/$(lib) -name $(DEB_SOURCE)-jni.so` ; \
 	mkdir -p `dirname $$jniso`/jni ; \
 	mv $$jniso `dirname $$jniso`/jni
 
@@ -38,8 +39,8 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	find debian/$(pkg)-dev -name jquery.js -delete
-	find debian/$(pkg)-dev -name "*.md5" -delete
+	find debian/$(DEB_SOURCE)-dev -name jquery.js -delete
+	find debian/$(DEB_SOURCE)-dev -name "*.md5" -delete
 
 # run tests only on platforms supporting opencl
 # see https://lists.debian.org/debian-mentors/2015/08/msg00081.html
