=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
  https://github.com/beagle-dev/beagle-lib/releases .*/archive/beagle_release_(\d[\d.-_]+)\.(?:tar(?:\.gz|\.bz2)?|tgz) \
   debian debian/get-orig-source

#  https://github.com/beagle-dev/beagle-lib/releases .*/archive/beagle_release_(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz) \
