## libhmsbeagle 2.1.2+git20180307

=== debian/changelog ===
libhmsbeagle (2.1.2+git20180307-1) unstable; urgency=medium

  * New Github commit
  * d/watch now scans Github commits (deleted get-orig-source)
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Wed, 11 Apr 2018 14:02:53 +0200
