=== debian/control ===
--- 
+++ 
@@ -4,9 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                doxygen,
                graphviz,
                javahelper,
@@ -14,13 +12,12 @@
                ant,
                dh-linktree,
                libjs-jquery,
-               libpoclu-dev [amd64],
                ocl-icd-opencl-dev | opencl-dev,
                pocl-opencl-icd [amd64] | opencl-icd [amd64],
                clinfo
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libhmsbeagle.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libhmsbeagle.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/libhmsbeagle
+Vcs-Git: https://salsa.debian.org/med-team/libhmsbeagle.git
 Homepage: https://github.com/beagle-dev/beagle-lib
 
 Package: libhmsbeagle-dev
