=== debian/watch ===
version=4

opts="uversionmangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/2.1.2+git$1$2$3/, \
    filenamemangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/2.1.2+git$1$2$3.tar.gz/, \
    repack,compression=xz" \
    https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=github_commits_package_json/beagle-dev/beagle-lib \
    .*/archive/(.*\.tar\.gz?.*)
