## libhmsbeagle 3.1.2%2Bdfsg

=== debian/changelog ===
libhmsbeagle (3.1.2+dfsg-13build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:45:12 +0200

libhmsbeagle (3.1.2+dfsg-13) unstable; urgency=medium

  * Team upload
  * Stopping supporting OpenCL (Closes: #1025953)

 -- Pierre Gruet <pgt@debian.org>  Fri, 16 Dec 2022 22:41:31 +0100

libhmsbeagle (3.1.2+dfsg-12) unstable; urgency=medium

  * Drop beignet-opencl-icd from explicit Depends
    Closes: #996618
  * Remove Tim Booth from Uploaders (Tim, thank you for all your previous
    work)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 09:42:01 +0200

libhmsbeagle (3.1.2+dfsg-11) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libhmsbeagle-java, libhmsbeagle1v5: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 10:58:21 +0200

libhmsbeagle (3.1.2+dfsg-10) unstable; urgency=medium

  * Do not confuse DEB_HOST_MULTIARCH and DEB_HOST_GNU_TYPE
    Closes: #950367

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2020 12:05:09 +0100

libhmsbeagle (3.1.2+dfsg-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Install all *.a files and remove *.la files from debian/tmp
  * Add missing stdlib.h
    Closes: #976567

 -- Andreas Tille <tille@debian.org>  Sun, 06 Dec 2020 16:53:18 +0100

libhmsbeagle (3.1.2+dfsg-8) unstable; urgency=medium

  * libhmsbeagle1v5: Architecture: linux-any
    Closes: #960260
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 May 2020 11:46:51 +0200

libhmsbeagle (3.1.2+dfsg-7) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Fix ppc64el FTBFS with altivec (Closes: #922776)

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 19:08:31 +0100

libhmsbeagle (3.1.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Replace DEB_HOST_GNU_TYPE by DEB_HOST_MULTIARCH
    Closes: #929560

 -- Dylan Aïssi <daissi@debian.org>  Sun, 26 May 2019 22:06:37 +0200

libhmsbeagle (3.1.2+dfsg-5) unstable; urgency=medium

  * Re-add libhmsbeagle1v5.dirs

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 15:31:02 +0100

libhmsbeagle (3.1.2+dfsg-4) unstable; urgency=medium

  * Provide libhmsbeagle-jni.so as symlink in jni subdir
    Closes: #922778

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 13:51:26 +0100

libhmsbeagle (3.1.2+dfsg-3) unstable; urgency=medium

  * Fix dankling symlink
    Closes: #919582
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2019 18:36:10 +0100

libhmsbeagle (3.1.2+dfsg-2) unstable; urgency=medium

  * Fix broken symlink
    Closes: #858524

 -- Andreas Tille <tille@debian.org>  Sat, 22 Dec 2018 07:21:35 +0100

libhmsbeagle (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Force LC_ALL=C.UTF-8 encoding
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/rules
  * Ignore test failures which are most probably not relevant on real
    hardware but occur in restricted Debian build environment (see
    https://github.com/beagle-dev/beagle-lib/issues/121 )

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 11:28:44 +0100
