## libhmsbeagle 3.1.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                doxygen,
                graphviz,
                javahelper,
                default-jdk (>= 1:1.6),
                ant,
                dh-linktree,
+               dh-exec,
                libjs-jquery,
                ocl-icd-opencl-dev | opencl-dev,
                pocl-opencl-icd [amd64] | opencl-icd [amd64],
                clinfo
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/libhmsbeagle
 Vcs-Git: https://salsa.debian.org/med-team/libhmsbeagle.git
 Homepage: https://github.com/beagle-dev/beagle-lib
