=== debian/watch ===
version=4

opts="uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/beagle-dev/beagle-lib/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@
