## libhmsbeagle 4.0.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libhmsbeagle
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                doxygen,
                graphviz,
                javahelper,
-               default-jdk (>= 1:1.6),
+               default-jdk,
                ant,
                dh-linktree,
                dh-exec,
@@ -16,14 +16,16 @@
                ocl-icd-opencl-dev | opencl-dev,
                pocl-opencl-icd [amd64] | opencl-icd [amd64],
                clinfo
-Standards-Version: 4.3.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libhmsbeagle
 Vcs-Git: https://salsa.debian.org/med-team/libhmsbeagle.git
 Homepage: https://github.com/beagle-dev/beagle-lib
+Rules-Requires-Root: no
 
 Package: libhmsbeagle-dev
 Architecture: linux-any
 Section: libdevel
+Multi-Arch: same
 Depends: libhmsbeagle1v5 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -45,13 +47,14 @@
  This package contains development files needed to build against Beagle library.
 
 Package: libhmsbeagle1v5
-Architecture: amd64 i386 arm64 armhf
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         beignet-opencl-icd|mesa-opencl-icd|opencl-icd
+         mesa-opencl-icd|opencl-icd
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libhmsbeagle1
 Replaces: libhmsbeagle1
+Multi-Arch: same
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -75,6 +78,7 @@
          ${shlibs:Depends},
          libhmsbeagle1v5
 Recommends: ${java:Recommends}
+Multi-Arch: same
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
